Loading...
Searching...
No Matches
slInit_Static.cc File Reference
`#include "kernel/mod2.h"`
`#include "Singular/links/silink.h"`
`#include "Singular/links/slInit.h"`
`#include "Singular/links/dbm_sl.h"`

Go to the source code of this file.

## Functions

si_link_extension | slInitDBMExtension (si_link_extension s)

## Function Documentation

## slInitDBMExtension()

si_link_extension slInitDBMExtension | ( | si_link_extension | s | ) |

Definition at line 27 of file slInit_Static.cc.

{
s->Open=dbOpen;
s->Close=dbClose;
s->Kill=dbClose;
s->Read=dbRead1;
s->Read2=dbRead2;
s->Write=dbWrite;
s->Status=slStatusAscii;
s->type="DBM";
return s;
}
slStatusAscii
const char * slStatusAscii(si_link l, const char *request)
Definition asciiLink.cc:211
dbOpen
LINKAGE BOOLEAN dbOpen(si_link l, short flag, leftv u)
Definition sing_dbm.cc:283
dbClose
LINKAGE BOOLEAN dbClose(si_link l)
Definition sing_dbm.cc:320
dbRead1
LINKAGE leftv dbRead1(si_link l)
Definition sing_dbm.cc:379
dbWrite
LINKAGE BOOLEAN dbWrite(si_link l, leftv v)
Definition sing_dbm.cc:384
dbRead2
LINKAGE leftv dbRead2(si_link l, leftv key)
Definition sing_dbm.cc:333
s
const CanonicalForm int s
Definition facAbsFact.cc:51